<template>
  <div class="lcl-card">
    <el-card class="mt20 box-card">
      <div class="lcl-title">{{ cardTitle }}</div>
      <slot></slot>
    </el-card>
  </div>
</template>
<script>
export default {
  name: "lcl-card",
  components: {},
  props: {
    cardTitle: String,
  },
  data() {
    return {};
  },
  watch: {},
  created() {
    this.$nextTick(function () {});
  },
  mounted() {
    this.$nextTick(function () {});
  },
  methods: {},
};
</script>
<style lang="scss" scoped>
.box-card {
  width: 100%;
  .lcl-title {
    font-size: 22px;
    font-family: Source Han Sans CN;
    font-weight: 400;
    color: #333333;
    line-height: 30px;
    position: relative;
    padding-left: 10px;
    &:before {
      content: "";
      position: absolute;
      left: 0px;
      top: 4px;
      width: 6px;
      height: 22px;
      background: #0d85f4;
    }
  }
}
</style>